Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.file.nw
Interface TrusteePathEnumerator

public interface TrusteePathEnumerator
extends java.util.Enumeration

Provides information about trustee paths.

This class contains the following information about the trustee paths:

- User - The users name for which to return trustee paths.
- Paths - The paths for the currently logged or requested user.

jndi.ds.Attribute.getAttributeID() returns "Trustee Paths" as the attribute ID for this interface. This attribute returns all paths on a volume that a user is assigned to as a trustee.

Warning: This class results in a mutable object. For versatility, code block synchronization has been implemented in the various jndi search and modify methods of this class's implementation to provide for thread safe operation.

If you have a multi-threaded application and a code segment of that application uses get methods of this class, and there is a potential of another thread randomly using corresponding set methods of this class, you should enclose the calls to the get methods of this class in a synchronized code block.

If you have a multi-threaded application and a code segment of that application uses set method of this class, and there is a potential of another thread randomly using corresponding get methods of this class, you should enclose the calls to the set methods of this class in a synchronized code block.

This object has a dual mode of operation. The first mode is when the average user wants to know what their trustee paths are on a given directory entry. The second mode is requesting the trustee paths of some other user on the system. This mode of operation is enabled by the user setting the user name of the object, and it requires that the logged user have managerial rights (in the bindery) over the user name being requested.

Field Summary
`static java.lang.String` | `ATTRIBUTE_ID` Attribute ID of the TrusteePathEnumerator.
`static java.lang.String` | `COMPARE_SYNTAX_STRING` Schema Syntax of the TrusteePathEnumerator.
`static java.lang.String` | `SCHEMA_BINDING_NAME` Schema Class Definition Name of the TrusteePathEnumerator.

Method Summary
`java.lang.String` | `getPath()` Returns one path for this object.
`java.lang.String` | `getUser()` Returns the name of this objects User associated with the trustee paths.
`boolean` | `hasMore()` Returns a boolean indicating whether the enumeration contains more elements.
`java.lang.String` | `next()` Returns the next path value, typed as a String.
`void` | `setPath(java.lang.String path)` Set one path for this object based on the input parameter.
`void` | `setUser(java.lang.String user)` Set the name of this objects user associated with the trustee paths.

Methods inherited from interface java.util.Enumeration
`hasMoreElements, nextElement`

Field Detail

### ATTRIBUTE_ID

    public static final java.lang.String ATTRIBUTE_ID

  Attribute ID of the TrusteePathEnumerator.

  (ATTRIBUTE_ID = "Trustee Paths")

### SCHEMA_BINDING_NAME

    public static final java.lang.String SCHEMA_BINDING_NAME

  Schema Class Definition Name of the TrusteePathEnumerator.

  (SCHEMA_BINDING_NAME = ATTRIBUTE_ID + " Definition")

### COMPARE_SYNTAX_STRING

    public static final java.lang.String COMPARE_SYNTAX_STRING

  Schema Syntax of the TrusteePathEnumerator.

  (COMPARE_SYNTAX_STRING = "(" + SearchStringComponent.EQUALS_STRING + "," + SearchStringComponent.PRESENT_STRING + "," + SearchStringComponent.SUBSTRING_STRING + ")")

Method Detail

### getPath

    public java.lang.String getPath()

  Returns one path for this object.

  The getPath() method is used only to set up an attribute value for searches.

### setPath

    public void setPath(java.lang.String path)

  Set one path for this object based on the input parameter.

  The setPath() method is used only to set up an attribute value for searches.

  Parameters:
    `path` - The path to set for the object.

### getUser

    public java.lang.String getUser()

  Returns the name of this objects User associated with the trustee paths.
  Returns:
    The name of the User.

### setUser

    public void setUser(java.lang.String user)
                 throws com.novell.service.jncp.NSIException

  Set the name of this objects user associated with the trustee paths.

  Calling the setUser() method on an object returned from a jndi getAttributes call will result in obtaining of the trustee paths for the user that is set.

  Parameters:
    `user` - The user for which to obtain the trustee paths.

### next

    public java.lang.String next()
                          throws com.novell.service.jncp.NSIException

  Returns the next path value, typed as a String.
  Returns:
    A string containing the next path in the enumeration.
  Throws:
    NoSuchElementException - if there is no next element in the enumeration.

### hasMore

    public boolean hasMore()
                    throws com.novell.service.jncp.NSIException

  Returns a boolean indicating whether the enumeration contains more elements.
  Returns:
    A boolean set to TRUE if there are more elements to be returned; otherwise FALSE is returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD